DRM_RECT_CLIP_SCALED(9)

NAME
drm_rect_clip_scaled - perform a scaled clip operation

SYNOPSIS

bool drm_rect_clip_scaled(struct drm_rect * src, struct drm_rect * dst, const struct drm_rect * clip, int hscale, int vscale);

ARGUMENTS

src
    source window rectangle

dst
    destination window rectangle

clip
    clip rectangle

hscale
    horizontal scaling factor

vscale
    vertical scaling factor

DESCRIPTION

Clip rectangle dst by rectangle clip. Clip rectangle src by the same amounts multiplied by hscale and vscale.

RETURNS

true if rectangle dst is still visible after being clipped, false otherwise

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT